> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tool

> Update a tool's configuration

## Request

```bash theme={null}
PUT https://api.pathors.com/v1/projects/{projectId}/tools/{toolId}
```

### Path Parameters

<ParamField path="projectId" type="string" required>The project ID</ParamField>
<ParamField path="toolId" type="string" required>The tool ID</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token using your developer key
</ParamField>

### Body

<ParamField body="name" type="string">Tool name (1-64 characters)</ParamField>
<ParamField body="description" type="string">Tool description</ParamField>
<ParamField body="metadata" type="object">Updated type-specific configuration</ParamField>
<ParamField body="inputSchema" type="object">Updated JSON Schema for tool input</ParamField>

## Response

Returns the updated tool.

### Example

```bash theme={null}
curl -X PUT https://api.pathors.com/v1/projects/{projectId}/tools/{toolId} \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "updated-search",
    "description": "Updated search API"
  }'
```
